import { UndefinedToOptional } from '../types';
export declare function isDefined<T>(a: T | undefined): a is T;
/**
 * Remove any fields with an `undefined` value.
 * @param t - object to clean
 * @returns t
 */
export declare function cleanCopy<T, U = UndefinedToOptional<T>>(t: T): U;
/**
 * Remove any fields with an `undefined` value.
 * **MODIFIES THE OBJECT**
 * @param t - object to clean
 * @returns t
 */
export declare function clean<T, U = UndefinedToOptional<T>>(t: T): U;
export declare function unique<T>(a: Iterable<T>): T[];
export declare function flatten<T>(i: Iterable<Iterable<T>>): Iterable<T>;
//# sourceMappingURL=util.d.ts.map