"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.flatten = exports.unique = exports.clean = exports.cleanCopy = exports.isDefined = void 0;
function isDefined(a) {
    return a !== undefined;
}
exports.isDefined = isDefined;
/**
 * Remove any fields with an `undefined` value.
 * @param t - object to clean
 * @returns t
 */
function cleanCopy(t) {
    const r = { ...t };
    return clean(r);
}
exports.cleanCopy = cleanCopy;
/**
 * Remove any fields with an `undefined` value.
 * **MODIFIES THE OBJECT**
 * @param t - object to clean
 * @returns t
 */
function clean(t) {
    for (const prop in t) {
        if (t[prop] === undefined) {
            delete t[prop];
        }
    }
    return t;
}
exports.clean = clean;
function unique(a) {
    return [...new Set(a)];
}
exports.unique = unique;
function* flatten(i) {
    for (const v of i) {
        yield* v;
    }
}
exports.flatten = flatten;
//# sourceMappingURL=util.js.map